summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Slax-Dude2010-08-15 19:43:30 +0200
committer Robby Workman2010-08-15 19:43:30 +0200
commit02e13775990676c952387f5513eb04ef94d890ca (patch)
tree0ecf442fe2022e908afdfb63d77143e906f6ef9e /network
parent52b41ddfb48c37bf206f1ba838dfacbb7be5b4f9 (diff)
downloadslackbuilds-02e13775990676c952387f5513eb04ef94d890ca.tar.gz
network/netcat-openbsd: Added (OpenBSD rewrite of netcat)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/netcat-openbsd/README12
-rw-r--r--network/netcat-openbsd/netcat-openbsd.SlackBuild98
-rw-r--r--network/netcat-openbsd/netcat-openbsd.info12
-rw-r--r--network/netcat-openbsd/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/network/netcat-openbsd/README b/network/netcat-openbsd/README
new file mode 100644
index 0000000000..4a9f5f9239
--- /dev/null
+++ b/network/netcat-openbsd/README
@@ -0,0 +1,12 @@
+Netcat is a featured networking utility which reads and writes data across
+network connections, using the TCP/IP protocol.
+
+It is designed to be a reliable "back-end" tool that can be used directly
+or easily driven by other programs and scripts. At the same time, it is a
+feature-rich network debugging and exploration tool, since it can create
+almost any kind of connection you would need and has several interesting
+built-in capabilities.
+
+This package contains the OpenBSD rewrite of netcat, including support
+for IPv6, proxies, and Unix sockets. The installed binary is named
+"nc.openbsd" and the manpage is as well.
diff --git a/network/netcat-openbsd/netcat-openbsd.SlackBuild b/network/netcat-openbsd/netcat-openbsd.SlackBuild
new file mode 100644
index 0000000000..64cea9e1c7
--- /dev/null
+++ b/network/netcat-openbsd/netcat-openbsd.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for netcat-openbsd
+#
+# Copyright 2010 Slax-Dude <jleal {at} fundilusa [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=netcat-openbsd
+VERSION=${VERSION:-1.89}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DEBVER=4
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.orig.tar.gz
+zcat $CWD/$PRGNAM\_$VERSION-$DEBVER.diff.gz > ./$PRGNAM-$VERSION-$DEBVER.diff
+cd $PRGNAM-$VERSION.orig
+
+# Apply Debian patches
+patch -p1 < ../$PRGNAM-$VERSION-$DEBVER.diff
+for i in $(cat debian/patches/series)
+do
+ echo "** patch $i" 1>&2
+ cat "debian/patches/$i"
+done | patch -p1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS -DDEBIAN_VERSION=\"\\\"$DEBVER\\\"\""
+
+mkdir -p $PKG/usr/bin/ $PKG/usr/man/man1/
+install -s -m 0755 nc $PKG/usr/bin/nc.openbsd
+gzip -9c nc.1 > $PKG/usr/man/man1/nc.openbsd.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/netcat-openbsd/netcat-openbsd.info b/network/netcat-openbsd/netcat-openbsd.info
new file mode 100644
index 0000000000..502b728fe4
--- /dev/null
+++ b/network/netcat-openbsd/netcat-openbsd.info
@@ -0,0 +1,12 @@
+PRGNAM="netcat-openbsd"
+VERSION="1.89"
+HOMEPAGE="http://packages.debian.org/sid/netcat-openbsd"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/n/netcat-openbsd/netcat-openbsd_1.89.orig.tar.gz \
+ http://ftp.debian.org/debian/pool/main/n/netcat-openbsd/netcat-openbsd_1.89-4.diff.gz"
+MD5SUM="7238ce15aae43069e96ba7faf03f153e \
+ 1dee057d6fbf6859a7112198cd8c6c56"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Slax-Dude"
+EMAIL="jleal@fundilusa.com"
+APPROVED="rworkman"
diff --git a/network/netcat-openbsd/slack-desc b/network/netcat-openbsd/slack-desc
new file mode 100644
index 0000000000..42058ad586
--- /dev/null
+++ b/network/netcat-openbsd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+netcat-openbsd: netcat (reads and writes data across network connections)
+netcat-openbsd:
+netcat-openbsd: This package contains the OpenBSD rewrite of netcat,
+netcat-openbsd: including support for IPv6, proxies, and Unix sockets.
+netcat-openbsd:
+netcat-openbsd: http://packages.debian.org/sid/netcat-openbsd
+netcat-openbsd:
+netcat-openbsd:
+netcat-openbsd:
+netcat-openbsd:
+netcat-openbsd: